=== debian/changelog ===
z80ex (1.1.19-3) unstable; urgency=low

  * Force calling cmake through debhelper to make sure
    endianness is set correctly (Closes: #682018).
  * Add build dependency for cmake.
  * Remove Debian patch to relocate installation directory
    in Makefile since we're now using cmake now anyway.
  * Add Debian patch fix version number in CMakeLists.txt.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 20 Jul 2012 01:50:57 +0200

z80ex (1.1.19-2) unstable; urgency=low

  [ John Paul Adrian Glaubitz ]
  * Convert for Multi-Arch support.
  * Use my full name for maintainership.
  * Fix helper-templates-in-copyright lintian warning.
  * Fix diff-contains-substvars lintian warning.
  * Bump standards version to 3.9.2.
  * Update debian/copyright.

  [ Jan Dittberner ]
  * set DM-Upload-Allowed: yes

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 20 Feb 2012 03:09:18 +0100

z80ex (1.1.19-1) unstable; urgency=low

  * New upstream version.
  * Bump to standards version 3.9.1.

 -- Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 21 Jan 2011 15:05:16 +0100
