=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: z80ex
 Priority: extra
-Maintainer: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.4
+Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
+Build-Depends: debhelper (>= 9), cmake
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://z80ex.sourceforge.net/
+DM-Upload-Allowed: yes
 
 Package: libz80ex-dev
 Section: libdevel
@@ -19,6 +20,8 @@
 
 Package: libz80ex1
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: z80ex emulation library, shared files
  libz80ex is a portable ZiLOG Z80 CPU emulator designed as a library.
