=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: z80ex
-Priority: extra
+Priority: optional
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
-Build-Depends: debhelper (>= 9), cmake
-Standards-Version: 3.9.2
+Build-Depends: cmake, debhelper-compat (= 12)
+Standards-Version: 4.5.1
 Section: libs
 Homepage: http://z80ex.sourceforge.net/
-DM-Upload-Allowed: yes
+Vcs-Browser: https://salsa.debian.org/debian/z80ex
+Vcs-Git: https://salsa.debian.org/debian/z80ex.git
 
 Package: libz80ex-dev
 Section: libdevel
@@ -22,7 +23,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: z80ex emulation library, shared files
  libz80ex is a portable ZiLOG Z80 CPU emulator designed as a library.
  Goals include: precise opcode emulation (documented & undocumented),
